From d00c1d99cb44862dc1d64e756e8eef7be9242f20 Mon Sep 17 00:00:00 2001
From: Douglas Guptill <douglas.guptill@dal.ca>
Date: Wed, 10 Jun 2009 20:29:10 +0000
Subject: [PATCH] tweaks

---
 Makefile.mahone  |  9 +++++--
 douar.run.mahone | 62 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+), 2 deletions(-)
 create mode 100755 douar.run.mahone

diff --git a/Makefile.mahone b/Makefile.mahone
index 478ca5a3..dc03918c 100644
--- a/Makefile.mahone
+++ b/Makefile.mahone
@@ -1,8 +1,13 @@
 # Define our compilers.................................
 #
+# The default - OpenMPI 1.2.7
 F90    = mpif90
 F77    = mpif77
 CC     = mpicc
+# wsmp wants mpich, so we try this
+F90    = /usr/local/mpich.pgi.64/bin/mpif90
+F77    = /usr/local/mpich.pgi.64/bin/mpif77
+CC     = /usr/local/mpich.pgi.64/bin/mpicc
 
 # wsmp lives here.
 #
@@ -12,8 +17,8 @@ WSMP_DIR   = /home/dguptill/software/wsmp/wsmp-Linux/lib/X86_64/PGI
 #
 AR=ar
 OPTIONS=
-PGPLOT = /home/dguptill/software/pgplot-5.2.2
-WSMP_LIB = -L$(WSMP_DIR) -lpwsmp64
+PGPLOT=/home/dguptill/software/pgplot-5.2.2
+WSMP_LIB=-L$(WSMP_DIR) -lpwsmp64
 
 # Define FORTRAN compiler flags.......................
 #
diff --git a/douar.run.mahone b/douar.run.mahone
new file mode 100755
index 00000000..9c0e1b93
--- /dev/null
+++ b/douar.run.mahone
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# run douar, on mahone
+#
+# Author: Douglas Guptill
+# 2009-06-03: new, from a copy of the one on p690
+
+make_dir() {
+  if ! test -d $1;  then mkdir $1; fi
+}
+
+if test $# -lt 1 ; then
+  echo "Usage: $0 <number-of-processors>"
+  exit
+fi
+
+PROCS=$1
+echo "Will use ${PROCS} processes."
+
+# For wsmp
+export MALLOC_TRIM_THRESHOLD_=-1
+export MALLOC_MMAP_MAX_=0
+# WSMP needs to know where its license file is.
+# But this doesn't seem to work yet....)
+# It looks like the license must be where we start the job.
+# When using the licemse from AIX, we get:
+#        ERROR**:  This License is registered for an AIX system
+# export WSMPLICPATH=/home/dguptill/software/wsmp/
+# export WSMPLICPATH=/home/pfullsac/PROGRAMS2008/v0.1/run_test_all/pbwithlic/wsmp.lic
+# The PGPLOT routines need this.
+export PGPLOT_DIR=/home/dguptill/software/pgplot-5.2.2
+export LD_LIBRARY_PATH=${PGPLOT_DIR}:${LD_LIBRARY_PATH}
+echo  "LD_LIBRARY_PATH is ${LD_LIBRARY_PATH}"
+# douar needs some directories..
+make_dir DEBUG
+make_dir DEBUG/mpilogs
+make_dir OUT
+# define the binary of douar
+# BIN=/home/dguptill/software/douar/bin/douar.mpich.02
+BIN=/home/dguptill/software/douar/douar
+
+# Here is the run command
+# COM="mpirun -np ${PROCS} --host localhost,localhost,localhost,localhost --byslot ${BIN}"
+# for the head node and MPICH
+# trouble:
+#p0_15929:  p4_error: Child process exited while making connection to remote process on cl003: 0
+#p0_15929: (6.230469) net_send: could not write to fd=5, errno = 32
+#
+# COM="/usr/local/mpich.pgi.64/bin/mpirun -machinefile /home/dguptill/douar/machinefile -np ${PROCS} ${BIN}"
+COM="/usr/local/mpich.pgi.64/bin/mpirun -arch LINUX -machinefile /home/dguptill/douar/machinefile -np ${PROCS} ${BIN} /home/dguptill/douar/input.txt"
+echo "COM is <${COM}>"
+
+# start douar and go away....
+#
+# nohup ${COM} &
+# echo "douar has been started.  Look in nohup.out ."
+
+# start douar and watch it........
+#
+OUT=douar.out
+${COM} 2>douar.err | tee -a ${OUT} 
+
-- 
GitLab